package Pooru::API::V0::Controller::Meta;
use Mojo::Base "Mojolicious::Controller", -signatures;

sub index ($self)
{
	return $self->render(json => {
		routes => [
			{ path => "/meta", verb => "GET" },

			{ path => "/media", verb => "GET" },
			{ path => "/media/<media_id:num>", verb => "GET" },

			{ path => "/tag", verb => "GET" },
			{ path => "/tags", verb => "GET" },

			{ path => "/random/media", verb => "GET" },
			{ path => "/random/tag", verb => "GET" },
		],
	});
}

1;
